import { Component, Input } from '@angular/core';
import { ModalController } from '@ionic/angular';

@Component({
  selector: 'app-image-preview',
  templateUrl:'./image-preview.component.html',
  styleUrls: ['./image-preview.component.scss'],
  standalone: false
})
export class ImagePreviewComponent {
  @Input() imageUrl: string = '';

  constructor(private modalCtrl: ModalController) {}

  dismiss() {
    this.modalCtrl.dismiss();
  }
}
