import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HomePage } from './home.page';
import { HomePageRoutingModule } from './home-routing.module';
import { HomeIconsComponent } from './component/home-icons/home-icons.component'
import { ArticleItemComponent } from "./component/article-item/article-item.component";
import { ArticleContentComponent } from "./component/article-content/article-content.component";
import {LcFixedBarComponent} from "./component/lc-fixed-bar/lc-fixed-bar.component";

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    HomePageRoutingModule,
    ReactiveFormsModule,
  ],
  declarations: [
    HomePage,
    HomeIconsComponent,
    ArticleItemComponent,
    ArticleContentComponent,
    LcFixedBarComponent
  ],
    exports: [
        LcFixedBarComponent,
        ArticleContentComponent
    ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class HomePageModule {}
