import { Component, OnInit } from '@angular/core';
import {ModalController, NavController} from "@ionic/angular";
import {Router} from "@angular/router";

@Component({
  selector: 'app-special-column',
  templateUrl: './special-column.page.html',
  styleUrls: ['./special-column.page.scss'],
  standalone:false,
})
export class SpecialColumnPage implements OnInit {
  name:string = ""
constructor(private navCtrl: NavController,
            private router: Router,
                ) {
    const navigation = this.router.getCurrentNavigation();
    const name = navigation?.extras?.state?.['name'];
    if (name) {
      this.name = name;
    }
  }

  ngOnInit() {
  }

}
