package modules

import (
	service "cls/internal/application/free_trial"
	repo "cls/internal/infrastructure/persistence/free_trial"
	"cls/internal/interfaces"
	"cls/internal/interfaces/free_trial"
	"go.uber.org/fx"
)

var FreeTrialModule = fx.Module("FreeTrialModule",
	fx.Provide(
		interfaces.AsHandler(free_trial.NewFreeTrialHandler),
		service.NewFreeTrialService,
		repo.NewFreeTrialRepositoryORM,
	))
