import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { ArticleDetailPage } from './article-detail.page';
import { ImagePreviewComponent } from '../component/image-preview/image-preview.component';
import {ArticleDetailPageRoutingModule} from "./article-detail-routing.module";
import {HomePageModule} from "../home.module";

@NgModule({
  imports: [
    CommonModule,
    IonicModule,
    ArticleDetailPageRoutingModule,
    HomePageModule,
  ],
  declarations: [
    ArticleDetailPage,
    ImagePreviewComponent,
  ]
})
export class ArticleDetailModule { }
