import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomePage } from './home.page';

const routes: Routes = [
  {
    path: '',
    component: HomePage,
  },
  {
    path: 'special-column',
    loadChildren: () => import('./special-column/special-column.module').then( m => m.SpecialColumnPageModule)
  },
  {
    path: 'article-detail',
    loadChildren: () => import('./article-detail/article-detail.module').then( m => m.ArticleDetailModule)
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class HomePageRoutingModule {}
